# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
---
loader: taskgraph.loader.transform:loader

kind-dependencies:
    - toolchain

transforms:
    - gecko_taskgraph.transforms.bootstrap:transforms
    - gecko_taskgraph.transforms.task:transforms

tasks:
    debian11:
        image: debian:bullseye
        pre-commands:
            - apt-get update
            - apt-get install -y --no-install-recommends curl git python3-pip
    debian12:
        image: debian:bookworm
        pre-commands:
            - apt-get update
            - apt-get install -y --no-install-recommends curl git python3-pip
    debian13:
        image: debian:trixie
        pre-commands:
            - apt-get update
            - apt-get install -y --no-install-recommends curl libcurl4 git python3-pip
    ubuntu2204:
        image: ubuntu:jammy
        pre-commands:
            - apt-get update
            - apt-get install -y --no-install-recommends curl git python3-pip
    ubuntu2404:
        image: ubuntu:noble
        pre-commands:
            - apt-get update
            # For some reason, this is required, now.
            - export DEBIAN_FRONTEND=noninteractive
            - apt-get install -y --no-install-recommends curl git python3-pip
    ubuntu2410:
        image: ubuntu:oracular
        pre-commands:
            - apt-get update
            # For some reason, this is required, now.
            - export DEBIAN_FRONTEND=noninteractive
            - apt-get install -y --no-install-recommends curl git python3-pip
    fedora36:
        image: fedora:36
        pre-commands:
            - dnf install -y git python3-pip
    fedora37:
        image: fedora:37
        pre-commands:
            - dnf install -y git python3-pip
    fedora38:
        image: fedora:38
        pre-commands:
            - dnf install -y git python3-pip
    fedora39:
        image: fedora:39
        pre-commands:
            - dnf install -y git python3-pip
    fedora40:
        image: fedora:40
        pre-commands:
            - dnf install -y git python3-pip
    fedora41:
        image: fedora:41
        pre-commands:
            - dnf install -y git python3-pip
    fedora42:
        image: fedora:42
        pre-commands:
            - dnf install -y git python3-pip awk
    rockylinux8:
        image: rockylinux:8
        pre-commands:
            - dnf install -y git python38-pip
    rockylinux9:
        image: rockylinux:9
        pre-commands:
            - dnf install -y git python3-pip
    opensuse-leap:
        image: opensuse/leap
        pre-commands:
            - zypper install -y curl git python311-pip python311-curses gzip
            - ln -s /usr/bin/python3.11 /usr/bin/python3
    opensuse-tumbleweed:
        image: opensuse/tumbleweed
        pre-commands:
            - zypper install -y git python3-pip python3-curses
    gentoo:
        image: gentoo/stage3
        pre-commands:
            - emerge --sync
            - emerge dev-vcs/git dev-python/pip curl
    archlinux:
        image: archlinux
        pre-commands:
            - pacman -Syu --noconfirm git python-pip
    voidlinux:
        image: voidlinux/voidlinux
        pre-commands:
            - sed -i s/alpha.de.repo.voidlinux.org/repo-default.voidlinux.org/g /usr/share/xbps.d/*
            - xbps-install -Suyv xbps
            - xbps-install -Suyv curl git python3-pip
